# WOK
TKWOK
WOKTools

# WOKTools_Verbose Class Reference

Verbose Information messages
.

`#include <WOKTools_Verbose.hxx>`

Inheritance diagram for WOKTools_Verbose:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKTools_Verbose (const Standard_CString aclass="WOK_VERBOSE")
Standard_EXPORT WOKTools_Verbose & | LocalSwitcher (const Standard_CString aswitch) const
WOKTools_Verbose & | operator() (const Standard_CString aswitch) const
virtual Standard_EXPORT Standard_Character | Code () const

## Constructor & Destructor Documentation

Standard_EXPORT WOKTools_Verbose::WOKTools_Verbose | ( | const Standard_CString | aclass = `"WOK_VERBOSE"` | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Character WOKTools_Verbose::Code | ( |  | ) | const`[virtual]`

| Implements WOKTools_Message.

Standard_EXPORT WOKTools_Verbose& WOKTools_Verbose::LocalSwitcher | ( | const Standard_CString | aswitch | ) | const

void WOKTools_Verbose::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKTools_Verbose::operator new | ( | size_t | size | ) | `[inline]`

void* WOKTools_Verbose::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

WOKTools_Verbose& WOKTools_Verbose::operator() | ( | const Standard_CString | aswitch | ) | const`[inline]`

The documentation for this class was generated from the following file:

- WOKTools_Verbose.hxx